Subject: Re: unable to get type of object

From: Jakub Narebski <[email-masked]>
Date: Wed, 01 Jun 2011 02:39:24 -0700 (PDT)

Robert Garrigos <[email-masked]> writes:

> I'm having one of those nasty 128 errors which I cannot debug:
> 
> ************
> predircam@eduab:~/public_html/idosing> git pull
> Generating pack...
> Done counting 117 objects.
> error: unable to find c3117d23df0c01ba8558bad81ad3488f0e8d430a
> fatal: unable to get type of object c3117d23df0c01ba8558bad81ad3488f0e8d430a
> fatal: early EOF
> fatal: git-unpack-objects died with error code 128
> Fetch failure: /home/predircam/gitrepos/idosing.git
> ***************
> 
> google suggests me to run git fsck to get a list of corrupted
> files. Besides that I'm running git 1.2.4 and that the git command for
> that version is fsck-objects, I'm not having any result at all.
> 
> Could this be a compatibility problem? As I said, I run git 1.2.4 on
> the repo server and git 1.7.0.2 on my development server. BTW, on my
> devel server running the git command fsck gives no result either.

Do this repository uses submodules?  IIRC pre 1.4.x (or even later)
git didn't understand modules.

Or it might be problem with deltabaseoffset, i.e. when objects is
stored in pack as a difference (delta) from other objects, it refers
to base by offset in pack, and not by sha-1 id.  I don't remember if
ancient 1.2.4 supports this feature.  This is more likely.

Why don't you upgrade git (perhaps installing it locally in your home
directory)?
-- 
Jakub Narebski
Poland
ShadeHawk on #git